package org.jfox.pool;

/**
 * @author <a href="mailto:yangyong@ufsoft.com.cn">Young Yang</a>
 */

public class TestPoolableObject extends AbstractPoolableObject {

    public void activate() throws Exception {
        super.activate();
        System.out.println("activate");
    }

    public void passivate() throws Exception {
        super.passivate();
        System.out.println("passivate");
    }

    public boolean isAvailable() {
        return super.isAvailable();
    }

    public String say() {
        return "Hello, World!";
    }

}

